# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog][1], and this project adheres
to [Semantic Versioning][2].

## Unreleased

## 1.0.1 - 2021-07-23

### Fixed

* If a system call error occurred while processing a file, the warning message
  indicated the reference file specified by the `-r` option as the file that
  the system call error occurred on which is incorrect for two reasons: (1)
  the file the error occurred on would have been the file currently being
  processed or a file related to processing the current file, not the `-r`
  option reference file, and (2) the `-r` option reference file would be
  undefined in the case where the `-r` option was not specified.

### Changed

* Made some system call errors and warnings use a style that is more
  consistent with the program's existing errors and warnings.

## 1.0.0 - 2021-07-17

* First release.

[1]: https://keepachangelog.com/en/1.0.0/
[2]: https://semver.org/spec/v2.0.0.html
